Set the color for the specified palette index

- « imagecolorresolvealpha

- imagecolorsforindex »

- PHP Manual
- GD and Image Functions
- Set the color for the specified palette index

# imagecolorset

(PHP 4, PHP 5, PHP 7, PHP 8)

imagecolorset — Set the color for the specified palette index

### Description

imagecolorset(
GdImage `$image`,
int `$color`,
int `$red`,
int `$green`,
int `$blue`,
int `$alpha` = 0
): ?false

This sets the specified index in the palette to the specified color. This is useful for creating flood-fill-like effects in palleted images without the overhead of performing the actual flood-fill.

### Parameters

`image`

  A GdImage object, returned by one of the image creation functions, such as imagecreatetruecolor().

`color`

  An index in the palette.

`red`

  Value of red component.

`green`

  Value of green component.

`blue`

  Value of blue component.

`alpha`

  Value of alpha component.

### Return Values

The function returns `null` on success, or `false` on failure.

### Changelog

Version | Description
--- | ---
8.0.0 | `image` expects a GdImage instance now; previously, a valid `gd` resource was expected.

### Examples

Example #1 imagecolorset() example

    <?php// Create a 300x100 image$im = imagecreate(300, 100);// Set the background to be redimagecolorallocate($im, 255, 0, 0);// Get the color index for the background$bg = imagecolorat($im, 0, 0);// Set the backgrund to be blueimagecolorset($im, $bg, 0, 0, 255);// Output the image to the browserheader('Content-Type: image/png');imagepng($im);imagedestroy($im);?>

### See Also

- imagecolorat() - Get the index of the color of a pixel